Subject: Bug#1014255: Long lines should also be ignored from non-code text files

From: Russ Allbery <[email-masked]>
Date: Wed, 02 Aug 2023 13:02:01 -0700

"Dr. Bas Wijnen" <[email-masked]> writes:

> Axel writes that README.md and LICENSE are likely valid cases. I
> disagree.  While I (and I expect many developers in Debian) are used to
> using short lines in text files, this is not that common for other
> people. Many will use the automatic word-wrap feature of text editors
> and write a whole paragraph on a single line.

Or, if not a whole paragraph, there are pretty strong arguments for
following https://xkcd.com/1285/ whenever writing in any markup language,
including Markdown, which can lead to long lines for complex sentences.
That's the standard for our projects at my current employer.

-- 
Russ Allbery ([email-masked])              <https://www.eyrie.org/~eagle/>